package com.example.common.enums;

/**
 * 外卖订单状态枚举
 */
public enum OrderStatusDELIVERY {
    CANCEL("已取消",0),
    // 商家自动接单 直接跳转到待出餐！
    NO_OUT("待出餐",1),
    NO_ACCEPT("待接单",2), //骑手待接单
    NO_GET("待取餐",3), // 自提
    NO_ARRIVE("待送达",4), // 骑手
    NO_RECEIVE("待收货",5),
    NO_COMMENT("待评价",6),
    DONE("已完成",7),
    ;
    private String value;
    private Integer order; //次序
    OrderStatusDELIVERY(String value, Integer order){
        this.value=value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }
    // 获取到下一个状态的枚举
    public OrderStatusDELIVERY nextStatus(){
        int nextOrdinal = this.ordinal()+1; //获取到当前枚举值的序号
        if(nextOrdinal<OrderStatusDELIVERY.values().length){
            return OrderStatusDELIVERY.values()[nextOrdinal];
        }
        return null;
    }
}
